<?php
// +----------------------------------------------------------------------+
// | Copyright (c) SiouxApp                                               |
// +----------------------------------------------------------------------+
class SudoApacheExec extends A_Util {
    private static $__Cmds = array(
        'apache-reload' => 'sudo /etc/init.d/apache2 reload',
        'apache-restart' => 'sudo /etc/init.d/apache2 restart',
        'apache-configtest' => 'sudo /usr/sbin/apache2ctl configtest',
        'apache-module-list' => 'sudo /usr/sbin/apache2ctl -M',
        'apache-module-enable' => 'sudo /usr/sbin/a2enmod',
        'apache-version' => 'sudo /usr/sbin/apache2ctl -v',
//      'apache-module-disable' => 'sudo /usr/sbin/a2dismod',
//      'apache-site-enable' => 'sudo /usr/sbin/a2enmod',
//      'apache-site-disable' => 'sudo /usr/sbin/a2dismod',
//      'ucs-ldapsecret' => 'sudo /bin/cat /etc/ldap.secret',
    );
    // --------------------------------------------------------------------
    public static function CmdGet($inCmd,$inPara='') {
        if(!isset(self::$__Cmds[$inCmd]))
            return '';
        $return = self::$__Cmds[$inCmd];
        $return .= (empty($inPara)) ? '' : " $inPara";
        return $return;
    }    
    // --------------------------------------------------------------------
    public static function Exec($inCmd,$inPara='') {
        $cmd = self::CmdGet($inCmd,$inPara);
        Job::IfExec('DataLog::Append', array($cmd));
        system($cmd);
    }
    // --------------------------------------------------------------------
}
?>